#include "FirstSample.h"
#include "Types.r"
#include "SysTypes.r"
#include "RTXFuTypes.r"


resource 'BXDe' (kResourceBase, "RTXFunctExample", purgeable) {
	kCurrentVersion,			/* This should be compiled for the current version		*/
	noMailMerge,				/* Mailmerge is not used in this sample					*/
	noMessages,					/* Messages are not used in this sample	   			*/
	noTime,						/* Periodic calls are not used in this sample   		*/
	"RTXFunctExample",		/* that's me !													*/
	101,							/* my version; in human terms, this is version 1.01	*/
	verUS,						/*	localization language										*/
	noTime,						/* Since noTime is set above, this field should also
										be set to noTime.												*/
	{
		/* kExampleAdd */
		noMailMerge,
		noRefNeeded,
		{	requested,		value,	noRecalc,	valIntNum,
			notRequested,	value,	noRecalc,	valIntNum,
			notRequested,	empty,	noRecalc,	valNil,
			notRequested,	empty,	noRecalc,	valNil,
			notRequested,	empty,	noRecalc,	valNil,
			notRequested,	empty,	noRecalc,	valNil,
		},	
		"ExampleAdd",									/* user name localized for current
																language (see above)					*/
		"bexfExampleAdd",								/* Internal name. should stay the
																same for all language versions.	*/

		/* kIdentifyType */
		noMailMerge,
		noRefNeeded,
		{	requested,		value,	noRecalc,	valAll,
			notRequested,	empty,	noRecalc,	valNil,
			notRequested,	empty,	noRecalc,	valNil,
			notRequested,	empty,	noRecalc,	valNil,
			notRequested,	empty,	noRecalc,	valNil,
			notRequested,	empty,	noRecalc,	valNil,
		},	
		"IdentifyType",								/* user name localized for current
																language (see above)					*/
		"bexfIdentifyType",							/* Internal name. should stay the
																same for all language versions.	*/
	},
};

resource 'BXCa' (kResourceBase, purgeable) {
	'misc', 		/* add the functions of this group to the Miscellaneous category */
	""				/* no name needed here since we use a predefined category        */
};

resource 'STR#' (kResourceBase, purgeable) {
	{	/* array StringArray:  2 elements */
		/* [01] */
		"IntegerNum|FirstIntNum; SecondIntNum",
		/* [02] */
		"AnyValue",
	};
};

resource 'STR#' (kResourceBase + 1, purgeable) {
	{	/* array StringArray:  6 elements */
		/* [01] */
		"Nil Value",
		/* [02] */
		"Extended Number Value",
		/* [03] */
		"Boolean Value",
		/* [04] */
		"Date Value",
		/* [05] */
		"Text Value",
		/* [06] */
		"LongInt Value",
		/* [07 */
		" Unknown Type",
	};
};

//------------------------------------------------------------------------------------------------
// Add some resources to make the add-on file more Finder friendly
//------------------------------------------------------------------------------------------------

resource 'vers'	(1)	{
	1,0x01,final,0,
	verUS,
	"1.0.1",
	"1.0.1 (US) 1997 B&E Software GmbH"
};

resource 'BNDL' (kResourceBase, "", purgeable) {
	'R#+X',
	0,
	{
		'ICN#', { 0, 200;},
	 	'FREF', { 0, 200;}
	}
};

resource 'FREF' (200, purgeable) {
	'R#+X', 0, ""
};

data 'R#+X' (0, purgeable) {		// owner resource
	"FirstSample 1.0.1 (US)  1997 B&E Software GmbH"
};

resource 'STR ' (-16397, "Fdr Cannot Open", purgeable) {
	"This document cannot be opened or modified.\n\nIt contains external functions for RagTime."
};

data 'ics4' (200, purgeable) {
	$"0000 0000 000F FF00 0000 0000 000F 0F00"
	$"FFFF FFFF FFFF 0FFF FCCC CCCC CF00 000F"
	$"FCCC CCCC CFFF 0FFF FCCC CFFC CCCF 0F00"
	$"FCCC CF0F CCCF FF00 FCCC CF0F CCCC CF00"
	$"FCCC CFFC CCCC F000 FCCC CCCC CCCF 0000"
	$"FCCC CCCC CFFC F000 FCCC CFFC CCCF CF00"
	$"FCCC CF0F CCFC CF00 FCCC CF0F CCCF CF00"
	$"FCCC CF0F CFFC CF00 FFFF FF0F FFFF FF00"
};

data 'ics#' (200, purgeable) {
	$"001C 0014 FFF7 8041 8077 8614 851C 8504"
	$"8608 8010 8068 8614 8524 8514 8564 FDFC"
	$"001C 001C FFFF FFFF FFFF FFFC FDFC FDFC"
	$"FFF8 FFF0 FFF8 FFFC FDFC FDFC FDFC FDFC"
};

data 'ICN#' (200, purgeable) {
	$"0000 01F0 0000 0130 0000 0130 0000 0130"
	$"0000 1F3F FFFF F003 8000 1003 8000 1F3F"
	$"8000 1F3F 8000 0130 8000 0130 8000 01F0"
	$"801E 01F0 8011 0040 8011 0040 8011 0080"
	$"801E 0080 8000 0100 8000 0200 8000 0100"
	$"8000 0080 8000 0080 8000 0040 801C 0C40"
	$"8012 1240 8011 0240 8011 0440 8011 0240"
	$"8011 1240 8011 0C40 8011 0040 FFF1 FFC0"
	$"0000 01F0 0000 01F0 0000 01F0 0000 01F0"
	$"0000 1FFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFF0 FFFF FFF0 FFFF FFF0"
	$"FFFF FFF0 FFF1 FFC0 FFF1 FFC0 FFF1 FF80"
	$"FFFF FF80 FFFF FF00 FFFF FE00 FFFF FF00"
	$"FFFF FF80 FFFF FF80 FFFF FFC0 FFFF FFC0"
	$"FFF3 FFC0 FFF1 FFC0 FFF1 FFC0 FFF1 FFC0"
	$"FFF1 FFC0 FFF1 FFC0 FFF1 FFC0 FFF1 FFC0"
};

data 'icl4' (200, purgeable) {
	$"0000 0000 0000 0000 0000 000F FFFF 0000"
	$"0000 0000 0000 0000 0000 000F 00DF 0000"
	$"0000 0000 0000 0000 0000 000F 00DF 0000"
	$"0000 0000 0000 0000 0000 000F 00DF 0000"
	$"0000 0000 0000 0000 000F FFFF 00DF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF 0000 0000 00DF"
	$"FCCC CCCC CCCC CCCC CCCF 0000 0000 00DF"
	$"FCCC CCCC CCCC CCCC CCCF DDDD 00DD DDDF"
	$"FCCC CCCC CCCC CCCC CCCF FFFF 00DF FFFF"
	$"FCCC CCCC CCCC CCCC CCCC CCCF 00DF 0000"
	$"FCCC CCCC CCCC CCCC CCCC CCCF 00DF 0000"
	$"FCCC CCCC CCCC CCCC CCCC CCCF DDDF 0000"
	$"FCCC CCCC CCCF FFFC CCCC CCCF FFFF 0000"
	$"FCCC CCCC CCCF 000F CCCC CCCC CF00 0000"
	$"FCCC CCCC CCCF 000F CCCC CCCC CF00 0000"
	$"FCCC CCCC CCCF 000F CCCC CCCC F000 0000"
	$"FCCC CCCC CCCF FFFC CCCC CCCC F000 0000"
	$"FCCC CCCC CCCC CCCC CCCC CCCF 0000 0000"
	$"FCCC CCCC CCCC CCCC CCCC CCF0 0000 0000"
	$"FCCC CCCC CCCC CCCC CCCC CCCF 0000 0000"
	$"FCCC CCCC CCCC CCCC CCCC CCCC F000 0000"
	$"FCCC CCCC CCCC CCCC CCCC CCCC F000 0000"
	$"FCCC CCCC CCCC CCCC CCCC CCCC CF00 0000"
	$"FCCC CCCC CCCF FFCC CCCC FFCC CF00 0000"
	$"FCCC CCCC CCCF 00FC CCCF CCFC CF00 0000"
	$"FCCC CCCC CCCF 000F CCCC CCFC CF00 0000"
	$"FCCC CCCC CCCF 000F CCCC CFCC CF00 0000"
	$"FCCC CCCC CCCF 000F CCCC CCFC CF00 0000"
	$"FCCC CCCC CCCF 000F CCCF CCFC CF00 0000"
	$"FCCC CCCC CCCF 000F CCCC FFCC CF00 0000"
	$"FCCC CCCC CCCF 000F CCCC CCCC CF00 0000"
	$"FFFF FFFF FFFF 000F FFFF FFFF FF00 0000"
};

