

/*------------------------------------- BXDe -----------------------------------*/

#define valNil				$1
#define valNum				$2
#define valBool				$4
#define valDate				$8
#define valText				$10
#define valErr				$20
#define valIntNum			$80
#define valRTF				$400


#define valAll				$009F


type 'BXDe' {
	integer 	kCurrentVersion = 5;	//	The current version is 5 for both RagTime 4 and RagTime 3.2
	longint = 0;						//	place holder for nextList
	longint = 0;						//	place holder for codeHdl
	longint = 0;						//	place holder for refCon	
	unsigned bitstring[13] = 0;			//	reserved rest of 'groupFlags'
	boolean	noMailMerge, hasMailMerge;	//	bit 2 of 'groupFlags': Must be set if
										//	this group contains one or more functions which use
										//	the MailMerge back call. If any of these functions
										//	(which must have the isMailMerge flag set in its
										//	paramRec.fuFlags) is used in a document, the document
										//	will do mail merge printing
	boolean	noMessages, wantsMessages;	//	bit 1 of 'groupFlags': if set, the
										//	kOpenDocSelector .. kDeactivateSelector messages
										//	are send to the group
	boolean	noTime, needsTime;			//	bit 0 of 'groupFlags': wether or not
										//	periodic calls are needed
		
	pstring[79];						//	groupText: description of the function
										//	group, displayed in the function list dialog
	integer;							// 	the function group version number in percent,
										//	that is 2.1 would be 210
	integer	Region;						//	the localization language of this group.
										//	Use the constants from SysTypes.r
	longint	noTime,
				asOftenAsPossible = 0;	//	groupTime: if kNeedsTimeFlag is set,
										//	the group is called every 'groupTime' ticks.
										//	The time between two calls may actually be
										//	longer due to system load.
	integer = 0;						//	place holder for 'resID'
	integer = 0;						//	place holder for 'groupStart'
										
	longint = 0;						//	spare
	integer = $$Countof (RCXFuDescriptArray);	
										//	numFuncts: number of entries

	array RCXFuDescriptArray {			//	functions
		byte = 0;						//	spare
		unsigned bitstring[6] = 0;		//	Unused flags
		boolean noMailMerge, isMailMerge;		
										//	set this for functions which use
										//	the MailMerge back call.
										//	If set, the next flag must be set,too
		boolean noRefNeeded, needsRef;	//	if set to needsRef, calculation of this
										//	function can be started by CalcAFunction()
		wide array [6] {
			boolean	notRequested, requested;	
										//	parameter requested or optional
			unsigned bitstring[2]	
								empty,	//	no further parameters
								value,	//	value expected
								list,	//	a list of values expected
								range;	//	a cell range
			boolean  recalc, noRecalc;	//	wether the function is
										//	recalculated if a parameter changes.
										//	Only for ranges!
//	The next 12 bits define the possibly value types. Use sums of the
//	val contants defined earlier 

			unsigned hex bitstring[12];
		};
		pstring[79];					//	user name of the function
		pstring[31];					//	internal name of the function
	};
};

//-------------------------------------------------------
//	25.8.93			HHP
//	Modified to produce cleaner .r Files when derezzing
//	a BXRl resource. The original definition yields two nested
//	arrays and thus complicates things more then neccessary.
//-------------------------------------------------------

type 'BXRl' {							//	Resource list description
	integer = $$Countof (RCXFuResListArray);	
										//	number of owned resources
	unsigned bitstring[15] = 0;			//	reserved rest of these flags
	boolean	noParameters, hasParameters;//	if the bit is set, there has to be a STR#
										//	with the same id as the function itself
										//	containing the parameters 
	array RCXFuResListArray {			//	owned resources	

			unsigned bitstring[15] = 0;	//	reserved rest of these flags
			boolean	allowRenumber, noRenumber;	
										//	if the bit is set, resources can not be renumbered
			string[4];					//	type of the owned resource
			integer;					//	external resource ID

	};
};



type 'BXCa' {
	literal longint;					//	the category this function belongs to
	pstring;							//	name of the category. Ignored, if one of the build-in
										//	categories is used
};
